CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
csl::CGestalt Class Reference

The CSL system defaults class. More...

`#include <CGestalt.h>`

List of all members.

## Static Public Member Functions
static unsigned | frameRate ()
| default frame rate
static void | setFrameRate (unsigned frameRate)
static sample | framePeriod ()
| default frame rate
static unsigned | numInChannels ()
| default number of input channels
static void | setNumInChannels (unsigned numChannels)
static unsigned | numOutChannels ()
| default number of output channels
static void | setNumOutChannels (unsigned numChannels)
static unsigned | blockSize ()
| the default block size
static void | setBlockSize (unsigned blockSize)
static unsigned | maxBufferFrames ()
| the max num frames that can be requested
static void | setMaxBufferFrames (unsigned numFrames)
static unsigned | maxSndFileFrames ()
| the max num frames that can be cached
static void | setMaxSndFileFrames (unsigned numFrames)
static unsigned | sndFileFrames ()
| the default num frames that are cached
static void | setSndFileFrames (unsigned numFrames)
static unsigned | verbosity ()
| the default logging verbosity
static void | setVerbosity (unsigned verbosity)
static unsigned | loggingPeriod ()
| the default logging period
static void | setLoggingPeriod (unsigned loggingPeriod)
static unsigned | outPort ()
| the default RemoteIO output port
static void | setOutPort (unsigned outPort)
static std::string | dataFolder ()
| the default directory for test data
static void | setDataFolder (std::string dFolder)
| typ. "~/Code/CSL/CSL_Data/"
static bool | stopNow ()
| flag to stop threads and timers
static void | setStopNow ()
static void | clearStopNow ()
static std::string | initFileText (char key)
| read/write the init file (typ. ~/.cslrc)
static void | storeToInitFile (char key, std::string data)
static std::string | sndFileName ()
| pick a new sound file name to use based on OUT_SFILE_NAME

## Detailed Description

The CSL system defaults class.

Definition at line 35 of file CGestalt.h.

## Member Function Documentation

unsigned CGestalt::frameRate | ( |  | ) |
| static

default frame rate

CGestalt Accessors for system constants.

Definition at line 44 of file CGestalt.cpp.

References mFrameRate.

Referenced by csl::AirAbsorptionCue::compute(), createEffectInstance(), createGrains(), csl::RtpSender::createRtpSession(), csl::RtpReceiver::createRtpSession(), csl::MP3File::decodeMP3(), csl::PAIO::initialize(), csl::KarplusString::KarplusString(), csl::FileIO::open(), csl::PAIO::open(), csl::iPhoneIO::open(), csl::FilterSpecification::planFilter(), csl::KarplusString::setFrequency(), csl::FileIO::start(), and csl::GrainCloud::startThreads().

void CGestalt::setFrameRate | ( | unsigned | frameRate | ) |
| static

Definition at line 69 of file CGestalt.cpp.

References mFramePeriod, and mFrameRate.

Referenced by csl::PAIO::initialize().

csl::sample CGestalt::framePeriod | ( |  | ) |
| static

default frame rate

Definition at line 45 of file CGestalt.cpp.

References mFramePeriod.

unsigned CGestalt::numInChannels | ( |  | ) |
| static

default number of input channels

Definition at line 50 of file CGestalt.cpp.

References mNumInChannels.

Referenced by createEffectInstance(), and csl::PAIO::initialize().

void CGestalt::setNumInChannels | ( | unsigned | numChannels | ) |
| static

Definition at line 80 of file CGestalt.cpp.

References mNumInChannels.

Referenced by csl::PAIO::initialize().

unsigned CGestalt::numOutChannels | ( |  | ) |
| static

default number of output channels

Definition at line 51 of file CGestalt.cpp.

References mNumOutChannels.

Referenced by createEffectInstance(), csl::DelayLine::DelayLine(), csl::PAIO::initialize(), csl::FileIO::open(), and csl::PAIO::test().

void CGestalt::setNumOutChannels | ( | unsigned | numChannels | ) |
| static

Definition at line 81 of file CGestalt.cpp.

References mNumOutChannels.

Referenced by csl::PAIO::initialize().

unsigned CGestalt::blockSize | ( |  | ) |
| static

the default block size

Definition at line 49 of file CGestalt.cpp.

References mBlockSize.

Referenced by csl::Mixer::allocateOpBuffer(), csl::Port::checkBuffer(), createEffectInstance(), csl::PAIO::initialize(), csl::AmbisonicMixer::initialize(), csl::FileIO::open(), csl::PAIO::open(), csl::iPhoneIO::open(), csl::SpatialPanner::SpatialPanner(), csl::PAIO::test(), and csl::Window::Window().

void CGestalt::setBlockSize | ( | unsigned | blockSize | ) |
| static

Definition at line 79 of file CGestalt.cpp.

References mBlockSize.

Referenced by csl::PAIO::initialize().

unsigned CGestalt::maxBufferFrames | ( |  | ) |
| static

the max num frames that can be requested

Definition at line 46 of file CGestalt.cpp.

References mMaxBufferFrames.

Referenced by csl::UnitGenerator::addOutput(), csl::MP3File::decodeMP3(), and csl::DelayLine::DelayLine().

void CGestalt::setMaxBufferFrames | ( | unsigned | numFrames | ) |
| static

Definition at line 76 of file CGestalt.cpp.

References mMaxBufferFrames.

unsigned CGestalt::maxSndFileFrames | ( |  | ) |
| static

the max num frames that can be cached

Definition at line 48 of file CGestalt.cpp.

References mMaxSndFileFrames.

Referenced by csl::CASoundFile::openForRead(), csl::JSoundFile::openForRead(), and csl::LSoundFile::openForRead().

void CGestalt::setMaxSndFileFrames | ( | unsigned | numFrames | ) |
| static

Definition at line 77 of file CGestalt.cpp.

References mMaxSndFileFrames.

unsigned CGestalt::sndFileFrames | ( |  | ) |
| static

the default num frames that are cached

Definition at line 47 of file CGestalt.cpp.

References mSndFileFrames.

Referenced by csl::DecodedFile::checkBufferStack(), and csl::MP3File::decodeMP3().

void CGestalt::setSndFileFrames | ( | unsigned | numFrames | ) |
| static

Definition at line 78 of file CGestalt.cpp.

References mSndFileFrames.

unsigned CGestalt::verbosity | ( |  | ) |
| static

the default logging verbosity

Definition at line 52 of file CGestalt.cpp.

References mVerbosity.

void CGestalt::setVerbosity | ( | unsigned | verbosity | ) |
| static

Definition at line 82 of file CGestalt.cpp.

References mVerbosity.

unsigned CGestalt::loggingPeriod | ( |  | ) |
| static

the default logging period

Definition at line 53 of file CGestalt.cpp.

References mLoggingPeriod.

void CGestalt::setLoggingPeriod | ( | unsigned | loggingPeriod | ) |
| static

Definition at line 83 of file CGestalt.cpp.

References mLoggingPeriod.

unsigned CGestalt::outPort | ( |  | ) |
| static

the default RemoteIO output port

Definition at line 54 of file CGestalt.cpp.

References mOutPort.

Referenced by main().

void CGestalt::setOutPort | ( | unsigned | outPort | ) |
| static

Definition at line 84 of file CGestalt.cpp.

References mOutPort.

string CGestalt::dataFolder | ( |  | ) |
| static

the default directory for test data

Definition at line 59 of file CGestalt.cpp.

References mDataFolder.

Referenced by csl::HRTFDatabase::convertDB(), csl::HRTFDatabase::Database(), csl::SHARCLibrary::loadDefault(), sndFileName(), testDynamicVoice(), and testSAFilter().

void CGestalt::setDataFolder | ( | std::string | dFolder | ) |
| static

typ. "~/Code/CSL/CSL_Data/"

Definition at line 85 of file CGestalt.cpp.

References mDataFolder.

bool CGestalt::stopNow | ( |  | ) |
| static

flag to stop threads and timers

Definition at line 55 of file CGestalt.cpp.

References mStopNow.

Referenced by csl::sleepUsec().

void CGestalt::setStopNow | ( |  | ) |
| static

Definition at line 87 of file CGestalt.cpp.

References mStopNow.

void CGestalt::clearStopNow | ( |  | ) |
| static

Definition at line 88 of file CGestalt.cpp.

References mStopNow.

string CGestalt::initFileText | ( | char | key | ) |
| static

read/write the init file (typ. ~/.cslrc)

Definition at line 110 of file CGestalt.cpp.

References CSL_LINE_LEN, and initFileName().

void CGestalt::storeToInitFile | ( | char | key,
|  | std::string | data
| ) |  |
| static

Definition at line 129 of file CGestalt.cpp.

References CSL_STR_LEN, and initFileName().

string CGestalt::sndFileName | ( |  | ) |
| static

pick a new sound file name to use based on OUT_SFILE_NAME

Definition at line 170 of file CGestalt.cpp.

References cheapPrintf, CSL_NAME_LEN, dataFolder(), csl::logMsg(), and OUT_SFILE_NAME.

Referenced by csl::FileIO::FileIO().

The documentation for this class was generated from the following files:

- CSL/Kernel/CGestalt.h
- CSL/Kernel/CGestalt.cpp